from toolbox import tool

class MyTool(tool.SimpleTool):

    def __init__(self):
        super().__init__()
        self.name = 'default'

    def boot_add_arguments(self, parser):
        super().boot_add_arguments(parser)
        parser.add_argument('-n', '--name', help='The name')

    def boot_process_arguments(self, args):
        super().boot_process_arguments(args)
        if args.name:
            self.name = args.name

    def main(self):
        print("Hello, {}!".format(self.name))

if __name__ == '__main__':
    mytool = MyTool()
    mytool.bootstrap()
    mytool.connect()
    mytool.main()
